curl --request POST \
--url https://api.synctera.com/v2/ach/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://fintech.com/ach/auth",
"custom_headers": {
"Content-Type": [
"text/html",
"application/json"
],
"Host": [
"https://host.com"
]
},
"disabled": false,
"max_wait_ms": 1500
}
'import requests
url = "https://api.synctera.com/v2/ach/gateways"
payload = {
"url": "https://fintech.com/ach/auth",
"custom_headers": {
"Content-Type": ["text/html", "application/json"],
"Host": ["https://host.com"]
},
"disabled": False,
"max_wait_ms": 1500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://fintech.com/ach/auth',
custom_headers: {'Content-Type': ['text/html', 'application/json'], Host: ['https://host.com']},
disabled: false,
max_wait_ms: 1500
})
};
fetch('https://api.synctera.com/v2/ach/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tenant": "abcdef_ghijkl",
"created": "2010-05-06T12:23:34.321Z",
"custom_headers": {
"Content-Type": [
"text/html",
"application/json"
],
"Host": [
"https://host.com"
]
},
"disabled": false,
"id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
"max_wait_ms": 1500,
"updated": "2010-05-06T12:23:34.321Z",
"url": "https://fintech.com/ach/auth"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Create New Gateway Endpoint Configuration
By creating Gateway Endpoint Configuration object for Fintech, you enable ACH in Auth flow for all the ACH transactions for specified Fintech (Tenant)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Gateway Config Create Request
Gateway Config Create Request
The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction
"https://fintech.com/ach/auth"
Optional parameter that allows to configure custom http headers for the Auth request to Gateway URL if needed
Show child attributes
Show child attributes
{
"Content-Type": ["text/html", "application/json"],
"Host": ["https://host.com"]
}
Setting this parameter to 'true' allows create Gateway Config as inactive ( can be useful as a preparation step)
Optional parameter that configures the maximum amount of time in milliseconds that we will wait for the response from Gateway URL request. Default value is used if empty
1 <= x <= 32000Response
Created Gateway Config Object
Represents a Gateway Config Object
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Time when Gateway Config object was created
"2010-05-06T12:23:34.321Z"
Optional parameter that allows to configure custom http headers for the Auth request to Gateway URL if needed
Show child attributes
Show child attributes
{
"Content-Type": ["text/html", "application/json"],
"Host": ["https://host.com"]
}
Indicates if the Gateway Config is active for Auth Flow for the current Fintech (Tenant)
Identifier of the Gateway Config object
"b01db9c7-78f2-4a99-8aca-1231d32f9b96"
Shows maximum amount of time in milliseconds that we will wait for the response from Gateway URL Auth request
x >= 1Time when Gateway Config object was updated
"2010-05-06T12:23:34.321Z"
The URL address which will be used for the ACH in Auth Flow requests to get authorization from the fintech to process the transaction
"https://fintech.com/ach/auth"
Was this page helpful?

